Group 3 of 25
Billing & invoices
Invoices, PDFs, payment links, billing profiles and the prepaid balance.
Endpoints
24
Path prefix
/api/v1
Endpoints
GET
/api/v1/invoices/{invoice}/pdf
Download an invoice as a PDF
R
GET
/api/v1/billing-addresses/{billingAddress}/contacts
List a billing address's contacts
R
GET
/api/v1/invoices
List the account's invoices
R
GET
/api/v1/billing-addresses/{billingAddress}
One billing address with its contacts
R
GET
/api/v1/invoices/{invoice}
One invoice with its items and payments
R
GET
/api/v1/billing-addresses
The account's billing profiles
R
GET
/api/v1/billing/payment-methods
The account's saved payment methods, per billing profile
R
GET
/api/v1/billing/activity
The account's unified money timeline
R
GET
/api/v1/invoices/{invoice}/credit-note
The credit note for an invoice
R
GET
/api/v1/invoices/{invoice}/payment-methods
The ways one invoice can be paid
R
POST
/api/v1/invoices/{invoice}/actions/payment-link
A pay-this-invoice URL for the customer
W
POST
/api/v1/billing/payment-methods/cards/setup-link
A single-visit link to add a card
W
POST
/api/v1/billing-addresses/{billingAddress}/contacts
Add a contact to a billing address
W
POST
/api/v1/billing-addresses
Create a billing address
W
POST
/api/v1/invoices/{invoice}/actions/pay-with-card
Hold a card payment for confirmation
W
POST
/api/v1/invoices/{invoice}/actions/pay-with-autogiro
Hold an Autogiro payment for confirmation
W
POST
/api/v1/billing-addresses/{billingAddress}/actions/set-primary
Make a billing address the default
W
POST
/api/v1/invoices/{invoice}/actions/resend-email
Re-send an invoice email
W
POST
/api/v1/invoices/{invoice}/actions/send
Send an invoice to one address
W
PATCH
/api/v1/billing-addresses/{billingAddress}
Update a billing address
W
DELETE
/api/v1/billing-addresses/{billingAddress}
Hold a billing-address deletion for confirmation
W
DELETE
/api/v1/billing/payment-methods/cards/{card}
Hold a saved-card removal for confirmation
W
DELETE
/api/v1/billing-addresses/{billingAddress}/contacts/{contact}
Hold the removal of a billing-address contact for confirmation
W
DELETE
/api/v1/invoices/{invoice}/actions/pay-with-autogiro
Unschedule a pending Autogiro payment
W